Bug 168345 - CD goes not ready during boot.
CD goes not ready during boot.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kadischi (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Chitlesh GOORAH
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-15 04:59 EDT by Glen Eustace
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-10 19:47:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glen Eustace 2005-09-15 04:59:29 EDT
Description of problem:

During the boot process, immediately after the messages
probing for CDs
trying to mount CD device hdc

the boot hangs, if I wait long enough, it eventually continues with the messages

hdc: drive not ready for command
Doing the pivot root.

Everything seems to work fine from then on.

Is this an issue with the hardware ? Any clues as to what to look for ?
Comment 1 Jasper O. Hartline 2005-09-20 06:18:37 EDT
I would say you were using an older CDROM device of some kind.
That or one that is "flawed".
The hald on my LiveCD's I've built make some old 2.6GB Fujitsu IDE HDD crap out
with a ton of { DriveReadySeekComplete Error} =51 and I know that is an old IDE
board on that drive. Try using another CDROM, and post the CDROM models and
such. You have made an incomplete bugzilla really.
Comment 2 Glen Eustace 2005-09-21 01:30:05 EDT
Yes, it was incomplete, sorry.

The CD drive is a SONY CDU4811 and the motherboard is an Elite Computer Systems
ECS P6ISA-11, not recent hardware I grant you.  We are looking at a whole bunch
of older computers for a KIOSK type application. I am likely to see quite a few
more older generation computers so I am hoping this problem isn't too generic.
Comment 3 Jasper O. Hartline 2005-09-29 03:45:25 EDT

(In reply to comment #0)
> Description of problem:
> 
> During the boot process, immediately after the messages
> probing for CDs
> trying to mount CD device hdc
> 
> the boot hangs, if I wait long enough, it eventually continues with the messages

Can you describe how many minutes or seconds this hang occurs, and what speed
processor and memory you are utilizing?
Comment 4 Glen Eustace 2005-09-30 00:58:24 EDT
OK, 666MHz Celeron with 256Mb RAM.
Between the 2 messages is 65 secs.
Comment 5 Jasper O. Hartline 2005-10-25 02:26:24 EDT
(In reply to comment #4)
> OK, 666MHz Celeron with 256Mb RAM.
> Between the 2 messages is 65 secs.
> 

Hm. I'm willing to bet this is absolutely normal. The CD DRIVE not ready for
command I think would be contributed to your specific CDROM device. I too see
about 65 seconds after booting the CD, and during pivot_root.

If you are unsure, it is absolutely normal for pivot_root to take some time.
To see for yourself what pivot_root does, see the manual.
man pivot_root

It could however be a bug, I am not totally sure, I am just a kadischi/Linux
user. So don't mind me. :)
Comment 6 Chitlesh GOORAH 2006-04-25 04:31:42 EDT
Do you still have the same issue with other livecds created by kadischi ?
Comment 7 Chitlesh GOORAH 2006-09-22 20:22:44 EDT
Ping ?
Comment 8 Glen Eustace 2006-09-23 01:48:45 EDT
This particular problem only seemed to occur with one particular CD Drive.
Reflashing the drive with more recent firmware I believe fixed the problem, but
I am not totally sure as it was quite a while ago and for the drives that
exhibited this fault, we either reflashed or stopped using them.
Comment 9 Chitlesh GOORAH 2007-02-10 19:47:30 EST
I'm closing this bug. FC4 isn't supported anymore.

Note You need to log in before you can comment on or make changes to this bug.